Bug 808657 - Login after click confirmation link will be directed to your zimbra mail box on firefox and IE
Login after click confirmation link will be directed to your zimbra mail box ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 00:32 EDT by Yujie Zhang
Modified: 2015-05-14 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: stage
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 23:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-03-31 00:32:43 EDT
Description of problem:

When I register a user from stage,and click the confirmation link from my mail
box,and then trying to login.the username is not filled in to the login
form,and after click "Login",it will direct me to my zimbra mail box but not
openshift website.

Chrome does not have this issue, it exists on firefox and IE. And it is ok when I copy and paste the url to browser.

I checked the page source of the confirm page, found the following code when I click the confirm link:
"<input name='redirectUrl' type='hidden' value='https://mail.corp.redhat.com/zimbra/'>"
However,this code does not exist when I copy and paste the link to browser.

For it will only affect Red Hat users with Zimbra email box logged in, so set it low priority.

Version-Release number of selected component (if applicable):

https://stg.openshift.redhat.com

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and register a new account
2.Click the confirmation link in the email
3.
  
Actual results:

Login after click confirmation link will be directed to your zimbra mail box on firefox and IE

Expected results:

It should redirect to the openshift website.

Additional info:

This issue also exists on devenv-stage_154.
Comment 1 Xiaoli Tian 2012-03-31 01:10:28 EDT
This is the same with the very old  bug 708244.
Comment 2 Clayton Coleman 2012-04-20 14:30:57 EDT
User is now always taken to the application creation page after signup.
Comment 3 Yujie Zhang 2012-04-26 03:11:12 EDT
(In reply to comment #2)
Verify this bug on devenv-stage_176, it has been fixed now, thanks.
Comment 4 Yujie Zhang 2012-04-26 03:28:46 EDT
(In reply to comment #2)
For the issue still exists on stage, so move it back to ON_QA, and I will check it after stage is updated.
Comment 5 yquan 2012-04-27 23:16:03 EDT
It's fixed at stage-2.0.10 on Apr-28th

Note You need to log in before you can comment on or make changes to this bug.